var system = require("../../../system")
const http = require("http")
const querystring = require('querystring');
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
const logCtl = system.getObject("web.common.oplogCtl");
class PmProjectCtl extends CtlBase{
   constructor(){
     super("pm",CtlBase.getServiceName(PmProjectCtl));
   }
   async create(p,q,req){
    p.owner_id=req.session.user.id;
    var rtn=await super.create(p,q,req);
    return system.getResult(rtn);
  }
}
module.exports=PmProjectCtl;
